#ifndef DOGOBJECT_H
#define DOGOBJECT_H

#include <QObject>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QVariant>
#include <QDateTime>
#include <QTimer>
#include <QList>
#include <QString>
#include "../include/YT_EHOME_shm.h"

class DevConf{
public:
    DevConf(QString id, quint8 type, QString path){
        DeviceId = id;
        CommType = type;
        rtspPath = path;
    }

    QString DeviceId;
    QString rtspPath;
    quint8 CommType;
};

class DogObject : public QObject
{
    Q_OBJECT
public:
    explicit DogObject(QObject *parent = 0);
    void start();
    bool load_shm();
    
signals:
    
public slots:
    void time_out();
private:
    bool shmLoad;
    QTimer *timer;
    QSqlDatabase db;
    uint start_t;
    bool isWorking;
    QList<DevConf> devConfList;
};

#endif // DOGOBJECT_H
